#!/bin/bash

xdg-user-dirs-update
sleep 1
source ~/.config/user-dirs.dirs

if { ps aux | grep -q [k]win_wayland; } && [[ "$(lspci -n | awk '{print $2}' | grep -c '^03')" -ge 2 ]]; then
    cp /usr/share/tuxedo/dgpu.desktop ${XDG_DESKTOP_DIR}/
else
    rm -f ${XDG_DESKTOP_DIR}/dgpu.desktop
fi

rm -f ~/.config/autostart/copy-guide.desktop
